Subject: RE: [manet] How to make the simulation in presence of hidden nodes inNS-2 ?

From: "Giorgio Mulas" <[email-masked]>
Date: Fri, 17 Jun 2005 09:24:17 +0200

Hi,
you hit a big issue.
As a first rough estimate, you can consider reasonable sensing range in simulations 50 m indoors and 150 m outdoors (both LOS).

IMHO anyway, consider that the type of environment (and its modelling) must be carefully evaluated before running simulations, because it strongly affects the propagation model to use. In this sense, terms like "real" and "realistics" are not suitable for describing simulation models using current default implementation in simulators. My suggestion is to deeply study the simulation environment, and consequently re-implement the propagation model....

Hope this helps

Giorgio

------------------------------------------
Giorgio MULAS

CEFRIEL - Politecnico di Milano
Via Fucini, 2 * 20133 Milano (Italy)

p. +39 02 23954 265
f. +39 02 23954 465
e. [email-masked]

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Petrioli Lee
Sent: venerdì 17 giugno 2005 5.32
To: [email-masked]
Subject: [manet] How to make the simulation in presence of hidden nodes inNS-2 ?

Hi All,

I want to simulate the effect of hidden nodes on performance in MANET.
However, in NS-2, the default value of Tx range and Carrier sensing range are
250m, 550m, repectively.
Thus, mostly, the hidden nodes are within carrier sensing range of the senser.
I think, this leads unrealistic propagation models.

The answer what I want to know is:
1) What are the actual Tx range and Carrier sensing range of real
wireless devices ?

2) Not using the channel fading model, is there any method to simulate
the realistic MANET model in presence of hidden node problem?

Thanks in advance

Best regards

Petrioli.Lee

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet